Bug 1018740 - oVirt+Neutron: IP lost when shutting down the instance
oVirt+Neutron: IP lost when shutting down the instance
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
high Severity medium
: ---
: 3.3.0
Assigned To: Mike Kolesnik
yeylon@redhat.com
network
:
Depends On: 1013491
Blocks: 3.3snap1
  Show dependency treegraph
 
Reported: 2013-10-14 06:43 EDT by Mike Kolesnik
Modified: 2016-04-18 02:53 EDT (History)
12 users (show)

See Also:
Fixed In Version: is19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1013491
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19966 None None None Never
oVirt gerrit 20138 None None None Never

  None (edit)
Description Mike Kolesnik 2013-10-14 06:43:22 EDT
+++ This bug was initially created as a clone of Bug #1013491 +++

Description of problem:
When using OpenStack Neutron as external network provider in oVirt-3.3, the association port/internal-IP/floating-IP is lost when the VM is shut down.

Version-Release number of selected component (if applicable):
oVirt-3.3

How reproducible:
Always

Steps to Reproduce:
1. Define an OpenStack Neutron network external provider and import a network. 
2. Start a VM in oVirt using that network in one of the NIC interface and let the NIC to have an IP using DHCP (provided by Neutron itself).
3. Possibly associate a floating-IP to the instance.
4. Shut down (not delete) the machine (from inside the VM or from the oVirt WEB-UI)
5. Start the instance again.

Actual results:
The instance looses the previously attached IP addresses (port/internal-IP change) and the public floating-IP must be manually re-associated.


Expected results:
The instance should keep the previous port and IP leases.


Additional info:

--- Additional comment from Mike Kolesnik on 2013-10-09 01:37:24 EDT ---



--- Additional comment from Mike Kolesnik on 2013-10-09 01:42:13 EDT ---

The port was deleted on VM stop.

The new behavior that is going to be is documented on the feature page:
http://www.ovirt.org/Features/Detailed_OSN_Integration#Integration_with_virtual_NIC_lifecycle

Extract:
"The port will be deleted in these cases:

     The virtual NIC is deleted from the VM.
     The virtual VNIC profile is changed, so that it is no longer
connected to
the external network.
     The VM is deleted.
     The data center containing the external networks is deleted forcefully.
     Snapshot operations (Preview, Undo) on the VM. "
Comment 2 awinter 2013-11-20 04:47:17 EST
Verified.

Now, when the vm is down, the port for its nic is not deleted and so, when the vm goes back up, it has the same ip like before.
Comment 4 Itamar Heim 2014-01-21 17:25:23 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:25:56 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:29:31 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.